delete from HtmlLabelIndex where id = 544789 and ( trim(indexdesc) is null );
/

insert into HtmlLabelIndex(id,indexdesc) select  544789,'企通学配置自定义' from HtmlLabelIndex where not exists (select id from HtmlLabelIndex where id = 544789 and ( trim(indexdesc) is not null ))  and rownum = 1;
/

delete from HtmlLabelInfo where indexid = 544789 and languageid=7 and ( trim(labelname) is null    );
/

insert into HtmlLabelInfo(indexid,labelname,languageid) select * from (select  544789 as indexid ,'企通学配置自定义' as content,7  as languageid from HtmlLabelInfo) t where not exists (select indexid,languageid from HtmlLabelInfo where indexid = 544789 and languageid=7 and ( trim(labelname) is not null   ))  and rownum = 1;
/

delete from HtmlLabelInfo where indexid = 544789 and languageid=8 and ( trim(labelname) is null   or length(labelname)!=lengthb(labelname)  );
/

insert into HtmlLabelInfo(indexid,labelname,languageid) select * from (select  544789 as indexid ,'Enterprise Communication Configuration Customization' as content,8  as languageid from HtmlLabelInfo) t where not exists (select indexid,languageid from HtmlLabelInfo where indexid = 544789 and languageid=8 and ( trim(labelname) is not null   and length(labelname)=lengthb(labelname)  ))  and rownum = 1;
/

delete from HtmlLabelInfo where indexid = 544789 and languageid=9 and ( trim(labelname) is null    );
/

insert into HtmlLabelInfo(indexid,labelname,languageid) select * from (select  544789 as indexid ,'企通學配置自定義' as content,9  as languageid from HtmlLabelInfo) t where not exists (select indexid,languageid from HtmlLabelInfo where indexid = 544789 and languageid=9 and ( trim(labelname) is not null   ))  and rownum = 1;
/

delete from HtmlModuleLabel where indexId = 544789 and moduleCode = 'HRM' and type = 'label';
/

insert into HtmlModuleLabel(type,moduleCode,indexId) values ('label','HRM',544789);
/

Delete from LeftMenuInfo where id=100190;
/

Delete from LeftMenuConfig where infoid=100190;
/

call LMConfig_U_ByInfoInsert (2,100167,3);
/

call LMInfo_Insert (100190,544789,'','',2,100167,3,2);
/

update LeftMenuInfo set mobxrouteurl = '',iconClassName = '',fullrouteurl='/spa/organization/static/index.html#/main/organization/qtxConfig' where id = 100190;
/

CREATE TABLE JCL_ORG_QTXCONFIG (
   ID NUMBER NOT NULL,
   APP_SECRET NVARCHAR2(255) NULL,
   URL NVARCHAR2(255) NULL,
   PC_ADDRESS NVARCHAR2(255) NULL,
   MOBILE_ADDRESS NVARCHAR2(255) NULL,
   SECOND_URL NVARCHAR2(255) NULL,
   CREATOR NUMBER NULL,
   CREATEDATE NVARCHAR2(10) NULL,
   CONSTRAINT JCL_ORG_QTXCONFIG_PK PRIMARY KEY (ID)
);
/

CREATE SEQUENCE JCL_ORG_QTXCONFIG_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE
OR REPLACE TRIGGER JCL_ORG_QTXCONFIG_ID_TIGGER BEFORE INSERT ON JCL_ORG_QTXCONFIG FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_QTXCONFIG_ID.nextval INTO:new.ID
FROM
    dual;
END;
/

